Subject: bug#43759: closed (Re: bug#43759: Emacs Calc date conversion)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 02 Oct 2020 20:28:02 +0000

Your bug report

#43759: Emacs Calc date conversion

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43759: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43759
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43759: Emacs Calc date conversion
From: Mattias Engdegård <[email-masked]>
To: Vincent Belaïche <[email-masked]>
Cc: [email-masked], Lars Ingebrigtsen <[email-masked]>
Date: Fri, 2 Oct 2020 22:27:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

2 okt. 2020 kl. 22.13 skrev Vincent Belaïche <[email-masked]>:

> Definitely, I applied the patch manually, and it fixed the issue.

Thank you for the prompt confirmation (and the original report, of course)!
Pushed to master; closing bug.

Subject: Emacs Calc date conversion
From: Vincent Belaïche <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 2 Oct 2020 10:53:59 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

My Emacs version is GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin19.6.0, NS appkit-1894.60 Version 10.15.6 (Build 19G73)) of 2020-07-29

I do the following expériment under Emacs CC

;; Set date format as Unix
dd U RET
;; Enter 1991-01-09T06:00 in Unix format, cf. date -d '1991-01-09T06:00+00' '+%s'
' <663400800> RET
;; Set format as ISO
dd YYYY-MM-DD HH:mm:SS RET

Then the display is <1991-01-10 06:00>, but I expected the 9th and not the 10th of January.

  Vincent.